﻿# Listing 12.1 Alle GPOs abfragen
Get-GPO -All | Select-Object -Property Displayname,ID

# Listing 12.4 Das msDFSR-Flag gibt Auskunft über den Replikationsmodus.
(Get-ADObject -Filter { name -eq 'DFSR-GlobalSettings' } -Properties "msDFSR-Flags")."msDFSR-Flags"

# Listing 12.5 Skript zum Auslesen der GP Extensions
function Get-GPExtensions {
$gpExtensionsPath = 'HKLM:\SOFTWARE\Microsoft\Windows NT\CurrentVersion\Winlogon\GPExtensions'
$SpalteDefault = @{ Name="Extension Name";expression= { $_."(Default)" } }
$SpalteGUID=@{ Name='GUID';expression = { $_.PSChildName }}
$SelectParam=@{Property=$SpalteGUID,$SpalteDefault,'ProcessGroupPolicy','DllName'}
Get-ChildItem -Path $gpExtensionsPath |
  ForEach-Object {
    $Regkeys = $_ | Get-ItemProperty
    if ( $regkeys )
       { $RegKeys | select @SelectParam }
    Else {$_ | select @SelectParam }
  }
}
Get-GPExtensions | Out-GridView